Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0
Class WrapperConnectionPoolDataSource

    java.lang.Object
      com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
          com.mchange.v2.c3p0.impl.IdentityTokenResolvable
              com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase
                  com.mchange.v2.c3p0.WrapperConnectionPoolDataSource

All Implemented Interfaces:
  IdentityTokenized, java.io.Serializable, javax.naming.Referenceable, javax.sql.ConnectionPoolDataSource

    public final class WrapperConnectionPoolDataSource

extends WrapperConnectionPoolDataSourceBase
implements javax.sql.ConnectionPoolDataSource

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase
`pcs, vcs`

Constructor Summary
`WrapperConnectionPoolDataSource()`
`WrapperConnectionPoolDataSource(boolean autoregister)`
`WrapperConnectionPoolDataSource(java.lang.String configName)`

Method Summary
`protected java.lang.String` | `extraToStringInfo()`
`int` | `getLoginTimeout()`
`java.io.PrintWriter` | `getLogWriter()`
`java.lang.String` | `getPassword()`
`javax.sql.PooledConnection` | `getPooledConnection()`
`protected javax.sql.PooledConnection` | `getPooledConnection(ConnectionCustomizer cc, java.lang.String pdsIdt)`
`javax.sql.PooledConnection` | `getPooledConnection(java.lang.String user, java.lang.String password)`
`protected javax.sql.PooledConnection` | `getPooledConnection(java.lang.String user, java.lang.String password, ConnectionCustomizer cc, java.lang.String pdsIdt)`
`java.lang.String` | `getUser()`
`java.util.Map` | `getUserOverrides()`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(java.io.PrintWriter out)`
`java.lang.String` | `toString()`

Methods inherited from class com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase
`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, getAcquireIncrement, getAcquireRetryAttempts, getAcquireRetryDelay, getAutomaticTestTable, getCheckoutTimeout, getConnectionCustomizerClassName, getConnectionTesterClassName, getFactoryClassLocation, getIdentityToken, getIdleConnectionTestPeriod, getInitialPoolSize, getMaxAdministrativeTaskTime, getMaxConnectionAge, getMaxIdleTime, getMaxIdleTimeExcessConnections, getMaxPoolSize, getMaxStatements, getMaxStatementsPerConnection, getMinPoolSize, getNestedDataSource, getOverrideDefaultPassword, getOverrideDefaultUser, getPreferredTestQuery, getPropertyChangeListeners, getPropertyChangeSupport, getPropertyCycle, getReference, getStatementCacheNumDeferredCloseThreads, getUnreturnedConnectionTimeout, getUserOverridesAsString, getVetoableChangeListeners, getVetoableChangeSupport, isAutoCommitOnClose, isBreakAfterAcquireFailure, isDebugUnreturnedConnectionStackTraces, isForceIgnoreUnresolvedTransactions, isTestConnectionOnCheckin, isTestConnectionOnCheckout, isUsesTraditionalReflectiveProxies, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, setAcquireIncrement, setAcquireRetryAttempts, setAcquireRetryDelay, setAutoCommitOnClose, setAutomaticTestTable, setBreakAfterAcquireFailure, setCheckoutTimeout, setConnectionCustomizerClassName, setConnectionTesterClassName, setDebugUnreturnedConnectionStackTraces, setFactoryClassLocation, setForceIgnoreUnresolvedTransactions, setIdentityToken, setIdleConnectionTestPeriod, setInitialPoolSize, setMaxAdministrativeTaskTime, setMaxConnectionAge, setMaxIdleTime, setMaxIdleTimeExcessConnections, setMaxPoolSize, setMaxStatements, setMaxStatementsPerConnection, setMinPoolSize, setNestedDataSource, setOverrideDefaultPassword, setOverrideDefaultUser, setPreferredTestQuery, setPropertyCycle, setStatementCacheNumDeferredCloseThreads, setTestConnectionOnCheckin, setTestConnectionOnCheckout, setUnreturnedConnectionTimeout, setUserOverridesAsString, setUsesTraditionalReflectiveProxies`

Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable
`doResolve, readResolve, verifyResolve`

Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrapperConnectionPoolDataSource

    public WrapperConnectionPoolDataSource(boolean autoregister)

### WrapperConnectionPoolDataSource

    public WrapperConnectionPoolDataSource()

### WrapperConnectionPoolDataSource

    public WrapperConnectionPoolDataSource(java.lang.String configName)

Method Detail

### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection()
                                                   throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getPooledConnection

    protected javax.sql.PooledConnection getPooledConnection(ConnectionCustomizer cc,
                                                             java.lang.String pdsIdt)
                                                      throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in class `WrapperConnectionPoolDataSourceBase`
  Throws:
    `java.sql.SQLException`

### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection(java.lang.String user,
                                                          java.lang.String password)
                                                   throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getPooledConnection

    protected javax.sql.PooledConnection getPooledConnection(java.lang.String user,
                                                             java.lang.String password,
                                                             ConnectionCustomizer cc,
                                                             java.lang.String pdsIdt)
                                                      throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in class `WrapperConnectionPoolDataSourceBase`
  Throws:
    `java.sql.SQLException`

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws java.sql.SQLException

  Specified by:
    `getLogWriter` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)
                      throws java.sql.SQLException

  Specified by:
    `setLogWriter` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    `setLoginTimeout` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws java.sql.SQLException

  Specified by:
    `getLoginTimeout` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getUser

    public java.lang.String getUser()

### getPassword

    public java.lang.String getPassword()

### getUserOverrides

    public java.util.Map getUserOverrides()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `WrapperConnectionPoolDataSourceBase`

### extraToStringInfo

    protected java.lang.String extraToStringInfo()

  Overrides:
    `extraToStringInfo` in class `WrapperConnectionPoolDataSourceBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD